Subject: Re: bug#68698: 30.0.50; Making xt-mouse emit `wheel-up/down`

From: Po Lu <[email-masked]>
Date: Fri, 26 Jan 2024 09:59:50 +0800

Stefan Monnier <[email-masked]> writes:

> The main reason is that it's painful to do it in `input-decode-map`
> because it has to be done not just for `mouse-4/5/6/7` but for all
> combinations of possible modifiers (shift, control, alt, meta, super,
> hyper, double, triple, down), so that's like a couple thousand entries
> we'd need to put in that map.

I am quite loath to change the set of events generated by the X11 button
event processing code, in view of the convoluted interaction between it,
toolkits, and code further down the line.  Any other solution would be
preferable, such as perhaps:

>         Stefan "wishing we had more flexible keymaps (e.g. "procedural"
>                 keymaps which can compute the binding for a given key)"